> For the complete documentation index, see [llms.txt](https://docs.xygeni.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xygeni.io/xygeni-products/anomaly-detection/xygeni-sensors.md).

# Xygeni Sensors

### Xygeni Sensors <a href="#xygeni_sensors" id="xygeni_sensors"></a>

Xygeni provides 'plugins' (Xygeni Sensor) for Source Code Managers (SCMs) like Azure DevOps, BitBucket, GitHub or GitLab or standalone CI/CD systems like Jenkins. The sensor captures important events, like administrative changes, new commits or pull requests, pipeline events, and other relevant activity, and sends them to the Xygeni servers typically using webhooks.

Xygeni analyzes the events and emits an alert when an unusual activity anomaly is identified. Unusual activity typically demands to take immediate action to mitigate the risk and prevent further damage.

The following are the provided sensors:

1. [Azure Sensor](/xygeni-products/anomaly-detection/xygeni-sensors/xygeni-sensor-for-azure.md)
2. [BitBucket Sensor](/xygeni-products/anomaly-detection/xygeni-sensors/xygeni-sensor-for-bitbucket.md)
3. [GitHub Sensor](/xygeni-products/anomaly-detection/xygeni-sensors/xygeni-sensor-for-github.md)
4. [GitLab Sensor](/xygeni-products/anomaly-detection/xygeni-sensors/xygeni-sensor-for-gitlab.md)
5. [Jenkins Sensor](/xygeni-products/anomaly-detection/xygeni-sensors/xygeni-sensor-for-jenkins.md)

## Anomaly Detection's Detectors

{% hint style="info" %}
Please read the documentation on [Supported Unusual Activity detectors](https://detectors.xygeni.io/xydocs/unusual_activity/detectors/index.html)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xygeni.io/xygeni-products/anomaly-detection/xygeni-sensors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
